Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class ExecTypeFactory

    java.lang.Object
      com.fxcm.fix.ExecTypeFactory

    public class ExecTypeFactory

extends Object

Field Summary
`static IExecType` | `CALCULATED`
`static IExecType` | `CANCELLED`
`static IExecType` | `EXPIRED`
`static IExecType` | `NEW`
`static IExecType` | `ORDER_STATUS`
`static IExecType` | `PARTIALLY_FILLED`
`static IExecType` | `PENDING_NEW`
`static IExecType` | `REJECTED`
`static IExecType` | `REPLACED`
`static IExecType` | `STOPPED`
`static IExecType` | `TRADE`

Constructor Summary
`ExecTypeFactory()`

Method Summary
`static IExecType` | `toCode(String aCode)` Converts a status code to a fix object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORDER_STATUS

    public static final IExecType ORDER_STATUS

### TRADE

    public static final IExecType TRADE

### NEW

    public static final IExecType NEW

### PENDING_NEW

    public static final IExecType PENDING_NEW

### CANCELLED

    public static final IExecType CANCELLED

### STOPPED

    public static final IExecType STOPPED

### REJECTED

    public static final IExecType REJECTED

### EXPIRED

    public static final IExecType EXPIRED

### REPLACED

    public static final IExecType REPLACED

### CALCULATED

    public static final IExecType CALCULATED

### PARTIALLY_FILLED

    public static final IExecType PARTIALLY_FILLED

Constructor Detail

### ExecTypeFactory

    public ExecTypeFactory()

Method Detail

### toCode

    public static IExecType toCode(String aCode)

  Converts a status code to a fix object

  Parameters:
    `aCode` - ``EXECTYPE_*``
  Returns:
    execution type fix object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.